# Deskripsi aplikasi web
Aplikasi Kuchenk Guide adalah sebuah aplikasi web yang dibangun menggunakan PHP untuk bagian backend dan HTML, CSS, serta JavaScript untuk bagian frontend. Aplikasi ini bertujuan untuk memberikan informasi mengenai kucing liar (kuchenk) di Institut Teknologi Bandung (ITB). Pengguna dapat menjelajahi kampus, menemukan informasi lengkap mengenai kuchenk gemuk yang menghuni ITB, seperti profil, lokasi favorit, dan juga berbagi foto jika mereka bertemu dengan kuchenk2 ITB yang gemuk nan gemoy.

Unauthenticated user:
1. Melihat isi dari website

Authenticated user:
1. Melihat directory/database kucing
2. Menambahkan foto kucing pada sightings jika mereka bertemu kucing tersebut, CRUD pada resource mereka sendiri.

Admin:
1. CRUD directory/database kucing.
2. RUD Users
3. CRUD Sightings.

# Daftar requirement
1. PHP
2. MySql

# Cara instalasi
1. Install PHP dari file situs resmi https://www.php.net/downloads.php
2. Download MySQL dan setup config yang tepat di config.php
3. Docker jika ingin menggunakan docker

# Jika menggunakan docker
1. Pastikan docker sudah terpasang pada perangkat anda
2. Buka terminal dan arahkan pada direktori utama proyek ini
3. Jalankan perintah `docker compose up -d`
4. jalankan perintah `docker exec  -i tubes-1-db /bin/mysql -u root -pBabybaby123 migrate < ./migrations/migrate.sql`
5. Buka browser dan arahkan ke address `localhost:8081`
#### Jika mengalami masalah pada upload file:
1. Masuk ke terminal container dengan perintah `docker exec  -i tubes-1-web /bin/bash`
2. Arahkan ke root dengan perintah `cd /`
3. Jalankan perintah: <br /> 
   `chmod -R 777 /tmp` <br />
`chmod -R 777 /var/www/html` <br />
`chmod -R 777 /var/www/html/public/images` <br />
`chmod -R 777 /var/www/html/public/sounds` <br />

# Cara menjalankan server
1. Jika menggunakan PHP, silahkan jalankan command `php -S localhost:8080`
## Docker
2. Jika menggunakan docker, Jalankan perintah `docker compose up -d`

# Tangkapan layar tampilan aplikasi (tidak perlu semua kasus, minimal 1 per halaman). (Sekaligus bonus responsif)
## Login dan Register
![Register](docs/image.png)
![Login](docs/image-1.png)
## Home Page
![Main](docs/image-2.png)
![Main](docs/image-3.png)
## Database Kucing
![Alt text](docs/image-4.png)
![Alt text](docs/image-5.png)
![Alt text](docs/image-6.png)
## Melihat sightings dari kucing specifik, Menambahkan Sightings
![Alt text](docs/image-7.png)
![Alt text](docs/image-8.png)

## Sightings semua kucing
![Alt text](docs/image-9.png)
![Alt text](docs/image-10.png)
## Menambahkan Sightings, Menghapus / Edit Sighting yang ditambahkan sendiri oleh user.
![Alt text](docs/image-11.png)
![Alt text](docs/image-12.png)
![Alt text](docs/image-13.png)

## Page users untuk Admin
![Alt text](docs/image-14.png)

## Admin dapat melakukan CRUD pada cats, sightings
![Alt text](docs/image-15.png)
![Alt text](docs/image-16.png)

# Penjelasan mengenai pembagian tugas masing-masing anggota (lihat formatnya pada bagian pembagian tugas).
13521123 -> William
13521105 -> Haidar
13521117 -> Maggie

Client-Side:
- Login: 13521105 
- Register: 13521117 
- Cats: 13521123
- Sightings: 13521105
- Users: 13521123

Server-Side:
- Login: 13521105
- Register: 13521117
- Cats: 13521123
- Sightings: 13521105
- Users: 13521123

Setup Docker:
- 13521105

# Bonus: Light house

## Page Home (/)
![Alt text](public/images/image.png)

## Page Cat (/cat)
![Alt text](public/images/image2.png)

## Page Sighting (/sighting)
![Alt text](public/images/image3.png)

## Admin User Page (/user)
![Alt text](public/images/image4.png)

## Login Page (/login)
![Alt text](public/images/image5.png)

## Register Page (/register)
![Alt text](public/images/imagez.png)