<?php

define("PROJECT_ROOT_PATH", __DIR__);


require_once PROJECT_ROOT_PATH . "/src/utils/Router.php";
require_once PROJECT_ROOT_PATH . "/src/controllers/home/HomeController.php";
require_once PROJECT_ROOT_PATH . "/src/controllers/auth/LoginController.php";
require_once PROJECT_ROOT_PATH . "/src/controllers/auth/LogoutController.php";
// require_once PROJECT_ROOT_PATH . "/src/controllers/auth/LoginFormController.php";
require_once PROJECT_ROOT_PATH . "/src/controllers/auth/RegisterController.php";
require_once PROJECT_ROOT_PATH . "/src/controllers/cat/CatController.php";
require_once PROJECT_ROOT_PATH . "/src/controllers/sightings/SightingController.php";
require_once PROJECT_ROOT_PATH . "/src/controllers/user/UserController.php";
session_start();

$router = new Router();

$router->route("/", HomeController::getInstance(), ["POST" => "admin", "PUT" => "auth"]);
$router->route("/login", LoginController::getInstance(), []);
$router->route("/register", RegisterController::getInstance(), []);
$router->route("/logout", LogoutController::getInstance(), []);

$router->route("/cat", CatController::getInstance(), ["POST" => "auth", "PUT" => "auth", "DELETE" => "auth"]);
$router->route("/cat/*", CatController::getInstance(), ["POST" => "auth", "PUT" => "auth", "DELETE" => "auth"]);

$router->route("/sighting", SightingController::getInstance(), ["POST" => "auth", "PUT" => "auth", "DELETE" => "auth"]);
$router->route("/sighting/*", SightingController::getInstance(), ["POST" => "auth", "PUT" => "auth", "DELETE" => "auth"]);
$router->route("/user", UserController::getInstance(), ["GET" => "admin"]);
$router->route("/user/*", UserController::getInstance(), ["POST" => "admin", "PUT" => "admin", "DELETE" => "admin"]);

$router->run($_SERVER['REQUEST_URI'], $_SERVER['REQUEST_METHOD']);