drop table if exists sightings;
drop table if exists cats;
drop table if exists users;
-- Users Table
CREATE TABLE users (
    user_id INT PRIMARY KEY AUTO_INCREMENT,
    nama VARCHAR(255),
    username VARCHAR(255) UNIQUE NOT NULL,
    password VARCHAR(255) NOT NULL,
    email VARCHAR(255) UNIQUE NOT NULL,
    isAdmin tinyint(1) NOT NULL DEFAULT '0',
    registration_date TIMESTAMP DEFAULT CURRENT_TIMESTAMP
);
INSERT INTO users (user_id, nama, username, password, email, isAdmin) VALUES
(1,'Roga','Roga','$2y$10$HLwQODDVcroIcYVs/vPL6.dmo0fl.7j/rjkXlcjdJeqoAOx7NgfLS','p@gmail.com',1),
(2,'Saroga','Saroga','$2y$10$HLwQODDVcroIcYVs/vPL6.dmo0fl.7j/rjkXlcjdJeqoAOx7NgfLS','p2@gmail.com',1);


-- Cats Table
CREATE TABLE cats (
    cat_id INT PRIMARY KEY AUTO_INCREMENT,
    name VARCHAR(255) NOT NULL,
    description TEXT,
    location TEXT,
    gender VARCHAR(50),
    color VARCHAR(50),
    spayed VARCHAR(50),
    sound_path TEXT, 
    image_path TEXT,
    cat_added TIMESTAMP DEFAULT CURRENT_TIMESTAMP 
);

INSERT INTO cats (name, description, location, gender, color, spayed, sound_path, image_path) VALUES
('Chong Fen', 'A playful and curious kitty', 'Sabuga', 'Male', 'Tabby', 'Yes', '/sounds/fluffy.mp3', '/images/cat01.jpg'),
('Klepon', 'Loves to explore and hide', 'Saraga', 'Female', 'White', 'No', '/sounds/fluffy copy.mp3', '/images/cat02.jpg'),
('Nutella', 'Sweet and cuddly', 'Labtek I', 'Male', 'Orange', 'Yes', '/sounds/fluffy copy 2.mp3', '/images/cat03.jpg'),
('Cendol', 'Enjoys sunbathing', 'Labtek II', 'Female', 'Calico', 'No', '/sounds/fluffy copy 3.mp3', '/images/cat04.jpg'),
('Butter Ball', 'Always ready for treats', 'Labtek III', 'Male', 'Black', 'Yes', '/sounds/fluffy copy 4.mp3', '/images/cat05.jpg'),
('Mochi', 'Loves to play with string toys', 'Sabuga', 'Female', 'Gray', 'No', '/sounds/fluffy copy 5.mp3', '/images/cat06.jpg'),
('Pandan', 'Has a soft spot for cuddles', 'Saraga', 'Male', 'Siamese', 'Yes', '/sounds/fluffy copy 6.mp3', '/images/cat07.jpg'),
('Gembul', 'A spicy little explorer', 'Labtek IV', 'Female', 'Tortoiseshell', 'No', '/sounds/fluffy copy 7.mp3', '/images/cat08.jpg'),
('Gado-Gado', 'Friendly and sociable', 'Labtek V', 'Male', 'Brown', 'Yes', '/sounds/fluffy copy 8.mp3', '/images/cat09.jpg'),
('Durian', 'A quirky and independent cat', 'Labtek VI', 'Female', 'Cream', 'No', '/sounds/fluffy copy 9.mp3', '/images/cat10.jpg'),
('Sapi', 'Always ready for a game of chase', 'Saraga', 'Male', 'Ginger', 'Yes', '/sounds/fluffy copy 10.mp3', '/images/cat11.jpg'),
('Pisang', 'Loves climbing and exploring', 'Labtek VII', 'Female', 'Tabby', 'No', '/sounds/fluffy copy 11.mp3', '/images/cat12.jpg'),
('Rendang', 'A fierce and fearless hunter', 'Sabuga', 'Male', 'Black', 'Yes', '/sounds/fluffy copy 12.mp3', '/images/cat13.jpg'),
('Teh Tarik', 'Gentle and easygoing', 'Labtek VIII', 'Female', 'White', 'No', '/sounds/fluffy copy 13.mp3', '/images/cat14.jpg'),
('Bakso', 'Enjoys lazy afternoons in the sun', 'Labtek IX', 'Male', 'Gray', 'Yes', '/sounds/fluffy copy 14.mp3', '/images/cat15.jpg');

-- Sightings Table
CREATE TABLE sightings (
    sighting_id INT PRIMARY KEY AUTO_INCREMENT,
    cat_id INT,
    user_id INT,
    sighting_location VARCHAR(255) NOT NULL,
    date DATE,
    time TIME,
    sighting_description TEXT,
    image_url TEXT,   
    FOREIGN KEY (cat_id) REFERENCES cats(cat_id) ON DELETE CASCADE,
    FOREIGN KEY (user_id) REFERENCES users(user_id) ON DELETE CASCADE
);

INSERT INTO sightings (cat_id, user_id, sighting_location, date, time, sighting_description, image_url)
VALUES
    (1, 1, 'Labtek I', '2023-10-01', '10:00:00', 'Eating', '/images/cat01.jpg'),
    (2, 2, 'Labtek II', '2023-10-02', '11:00:00', 'Sleeping', '/images/cat02.jpg'),
    (3, 1, 'Labtek III', '2023-10-03', '12:00:00', 'Playing', '/images/cat03.jpg'),
    (4, 2, 'Labtek IV', '2023-10-04', '13:00:00', 'Exploring', '/images/cat04.jpg'),
    (5, 1, 'Labtek V', '2023-10-05', '14:00:00', 'Relaxing', '/images/cat05.jpg'),
    (1, 2, 'Labtek VI', '2023-10-06', '15:00:00', 'Hunting', '/images/cat01.jpg'),
    (2, 1, 'Labtek VII', '2023-10-07', '16:00:00', 'Climbing', '/images/cat02.jpg'),
    (3, 2, 'Labtek VIII', '2023-10-08', '17:00:00', 'Grooming', '/images/cat03.jpg'),
    (4, 1, 'Labtek IX', '2023-10-09', '18:00:00', 'Chasing', '/images/cat04.jpg'),
    (5, 2, 'Labtek X', '2023-10-10', '19:00:00', 'Lounging', '/images/cat05.jpg'),
    (1, 1, 'Labtek I', '2023-10-11', '20:00:00', 'Pouncing', '/images/cat01.jpg'),
    (2, 2, 'Labtek II', '2023-10-12', '21:00:00', 'Napping', '/images/cat02.jpg'),
    (3, 1, 'Labtek III', '2023-10-13', '22:00:00', 'Exploring', '/images/cat03.jpg'),
    (4, 2, 'Labtek IV', '2023-10-14', '23:00:00', 'Sleeping', '/images/cat04.jpg'),
    (5, 1, 'Labtek V', '2023-10-15', '00:00:00', 'Relaxing', '/images/cat05.jpg');
