<?php
// PREREKUISIT UNTUK PAKE FUNGSI INI:
// 1. Redirect user ke /page 1 kalo di query ga ada page nummber
// 2. Di controller sebelum render page, query total count dari database simpan di variabel $_count.
// 3. Pastiin di service/repo ada fungsi buat ngurusin order by, limit, dst.
// For more information, refer to GET /cats di cats controller.
function generatePaginationLinks($currentPage, $totalPages, $queryParams)
{
    $html = '<div class="pagination">';

    // Build the query string with the existing parameters
    $queryString = http_build_query($queryParams);

    // Calculate the range of visible page links
    $visiblePages = 2; // You can adjust this number as needed

    // Previous button
    if ($currentPage > 1) {
        $html .= '<a href="?pageNo=' . ($currentPage - 1) . '&' . $queryString . '" class="prev-page">Previous</a>';
    }

    // Display ellipsis if there are many pages before the current page
    if ($currentPage > ($visiblePages + 1)) {
        $html .= '<span class="ellipsis">...</span>';
    }

    for ($i = max(1, $currentPage - $visiblePages); $i <= min($totalPages, $currentPage + $visiblePages); $i++) {
        if ($i === $currentPage) {
            $html .= '<span class="current-page">' . $i . '</span>';
        } else {
            $html .= '<a href="?pageNo=' . $i . '&' . $queryString . '">' . $i . '</a>';
        }
    }

    // Display ellipsis if there are many pages after the current page
    if ($currentPage < ($totalPages - $visiblePages)) {
        $html .= '<span class="ellipsis">...</span>';
    }

    // Next button
    if ($currentPage < $totalPages) {
        $html .= '<a href="?pageNo=' . ($currentPage + 1) . '&' . $queryString . '" class="next-page">Next</a>';
    }

    $html .= '</div>';
    return $html;
}

// function generatePaginationLinks($currentPage, $totalPages, $queryParams)
// {
//     $html = '<div class="pagination">';

//     // Build the query string with the existing parameters
//     $queryString = http_build_query($queryParams);

//     // Previous button
//     if ($currentPage > 1) {
//         $html .= '<a href="?pageNo=' . ($currentPage - 1) . '&' . $queryString . '" class="prev-page">Previous</a>';
//     }

//     for ($i = 1; $i <= $totalPages; $i++) {
//         if ($i === $currentPage) {
//             $html .= '<span class="current-page">' . $i . '</span>';
//         } else {
//             $html .= '<a href="?pageNo=' . $i . '&' . $queryString . '">' . $i . '</a>';
//         }
//     }

//     // Next button
//     if ($currentPage < $totalPages) {
//         $html .= '<a href="?pageNo=' . ($currentPage + 1) . '&&' . $queryString . '" class="next-page">Next</a>';
//     }

//     $html .= '</div>';
//     return $html;
// }

$totalCount = $_count; // Total number of cats
$pageSize = isset($_GET['pageSize']) ? intval($_GET['pageSize']) : 10; // Number of cats per page
$totalPages = ceil($totalCount / $pageSize);
$currentPage = isset($_GET['pageNo']) ? intval($_GET['pageNo']) : 1;

// Check if the current URL is /cats
$currentUrl = $_SERVER['REQUEST_URI'];
$isCatsPage = strpos($currentUrl, '/cat') !== false;

if ($isCatsPage) {
    // Extract and preserve query parameters
    $queryParams = [
        'search' => $_GET['search'] ?? '',
        'gender' => $_GET['gender'] ?? '',
        'spayed' => $_GET['spayed'] ?? '',
        'isDesc' => $_GET['isDesc'] ?? '',
        'order' => $_GET['order'] ?? '',
        'pageSize' => $_GET['pageSize'] ?? ''
    ];

    $paginationHtml = generatePaginationLinks($currentPage, $totalPages, $queryParams);
} else {
    $queryParams = [
        'search' => $_GET['search'] ?? '',
        'isDesc' => $_GET['isDesc'] ?? '',
        'order' => $_GET['order'] ?? '',
        'pageSize' => $_GET['pageSize'] ?? ''
    ];

    $paginationHtml = generatePaginationLinks($currentPage, $totalPages, $queryParams);
}
?>


<div class="pagination-container">
    <?php echo $paginationHtml; ?>
</div>