const editUserModal = document.getElementById("edit-user-modal");

function openEditUserModal() {
    editUserModal.style.display = "block";
}

function closeEditUserModal() {
    editUserModal.style.display = "none";
}

window.onclick = function (event) {
    if (event.target === editUserModal) {
        closeEditUserModal();
    }
}

function editForm(event) {
    event.preventDefault();
    const editUserForm = document.getElementById("edit-user-form");
    const userId = document.getElementById("edit-user-id").value;

    const formData = new FormData();
    formData.append("nama", document.getElementById("edit-nama").value);
    formData.append("email", document.getElementById("edit-email").value);
    formData.append("username", document.getElementById("edit-username").value);
    formData.append("isAdmin", document.getElementById("edit-isadmin").value);

    // Send a POST request to /user/{user_id}
    fetch(`/user/${userId}`, {
        method: "POST",
        body: formData,
    })
        .then((response) => {
            if (response.ok) {
                closeEditUserModal();
                location.reload();
            } else {
                console.error("Error editing user:", response.statusText);
            }
        })
        .catch((error) => {
            console.error("Error editing user:", error);
        });
};

// JavaScript to handle delete button click
document.addEventListener("DOMContentLoaded", function () {
    const deleteButtons = document.querySelectorAll(".delete-button");


    deleteButtons.forEach(function (button) {
        button.addEventListener("click", function (event) {
            event.preventDefault();
            let conf = confirm('Are you sure you want to delete this user?');
            if (!conf) {
                event.preventDefault();
                return;
            }

            const deleteUrl = button.getAttribute("href");

            fetch(deleteUrl, {
                method: "DELETE",
            })
                .then(function (response) {
                    if (response.ok) {
                        location.reload();
                    } else {
                        console.error("DELETE request failed.");
                    }
                })
                .catch(function (error) {
                    console.error("Network error:", error);
                });
        });
    });
});

function editUser(userId) {
    const userCard = document.getElementById(`user-card-${userId}`);

    if (userCard) {
        populateEditForm(userCard, userId);
        openEditUserModal();
    } else {
        console.error("User card not found for userId:", userId);
    }
}

function populateEditForm(userCard, userId) {
    const userName = userCard.querySelector(".user-title").textContent.trim();
    const userEmail = userCard.querySelector(".user-email").textContent.trim();
    const userUsername = userCard.querySelector(".user-username").textContent.trim();
    const userIsAdmin = userCard.querySelector(".user-isadmin").textContent.trim();

    document.getElementById("edit-nama").value = userName;
    document.getElementById("edit-email").value = userEmail;
    document.getElementById("edit-username").value = userUsername;
    document.getElementById("edit-isadmin").value = userIsAdmin;
    document.getElementById("edit-user-id").value = userId;
}
