<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>List of Cats</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" type="text/css" href="public/css/styles.css">
    <link rel="icon" href="/public/images/logo.jpeg" type="image/jpeg">
    <link rel="shortcut icon" href="/public/images/logo.jpeg" type="image/jpeg">
</head>

<body>
    <?php require_once(PROJECT_ROOT_PATH . '/public/components/Navbar.php'); ?>
    <div class="search-container">
        <form method="get" id="search-form" class="search-form">
            <div class="search-bar">
                <input type="text" name="search" class="search-input" placeholder="Search...">
            </div>

            <div class="search-options">
                <div class="filter-bar">
                    <label for="gender-select" class="filter-label">Select gender filter: </label>
                    <select name="gender" id="gender-select" class="filter-select">
                        <option value="">Filter by Gender</option>
                        <option value="Male">Male</option>
                        <option value="Female">Female</option>
                    </select>

                    <label for="spayed-select" class="filter-label">Select spay filter: </label>
                    <select name="spayed" id="spayed-select" class="filter-select">
                        <option value="">Filter by Spayed</option>
                        <option value="Yes">Yes</option>
                        <option value="No">No</option>
                    </select>
                </div>


                <div class="sort-bar">
                    <label for="order" class="sort-label">Sort by:</label>
                    <div class="sort-options">
                        <div class="sort-option">
                            <label for="name-checkbox" class="sort-option-label">
                                <input type="checkbox" name="order[]" value="name" id="name-checkbox"
                                    class="sort-checkbox" aria-label="Name">
                                Name</label>
                        </div>
                        <div class="sort-option">
                            <label for="location-checkbox" class="sort-option-label">
                                <input type="checkbox" name="order[]" value="location" id="location-checkbox"
                                    class="sort-checkbox" aria-label="location">
                                Location</label>
                        </div>
                        <div class="sort-option">
                            <label for="color-checkbox" class="sort-option-label">
                                <input type="checkbox" name="order[]" value="color" id="color-checkbox"
                                    class="sort-checkbox" aria-label="color">
                                Color</label>
                        </div>
                        <div class="sort-option">
                            <label for="cat-added-checkbox" class="sort-option-label">
                                <input type="checkbox" name="order[]" value="cat_added" id="cat-added-checkbox"
                                    class="sort-checkbox" aria-label="cat added">
                                Cat Added</label>
                        </div>
                    </div>

                    <label for="isDesc" class="sort-label" aria-label="descending">Descending:</label>
                    <input type="checkbox" name="isDesc" value="true" aria-label="descending" class="sort-checkbox">
                </div>
            </div>
            <input type="hidden" name="pageNo" value="<?= isset($_GET['pageNo']) ? intval($_GET['pageNo']) : 1 ?>">
            <input type="hidden" name="pageSize"
                value="<?= isset($_GET['pageSize']) ? intval($_GET['pageSize']) : 10 ?>">
        </form>
    </div>
    <div class="cat-cards-container">
        <?php foreach ($responseCats as $cat): ?>
            <div class="cat-card" id="cat-card-<?= $cat['cat_id'] ?>" onclick="redirectToCatPage(<?= $cat['cat_id'] ?>)">
                <?php if (isset($_SESSION['isAdmin']) && $_SESSION['isAdmin']): ?>
                    <a class="delete-button" href="/cat/<?= htmlspecialchars($cat['cat_id']) ?>">X</a>
                <?php endif; ?>
                <div class="cat-image-container">
                    <img class="cat-image" onerror="this.src='public/images/placeholder.png'"
                        src="public/<?= htmlspecialchars($cat['image_path']) ?>" alt="cat image">
                </div>
                <div class="cat-details">
                    <div class="cat-info">
                        <h2 class="cat-title">
                            <?= htmlspecialchars($cat['name']) ?>
                        </h2>
                        <p class="cat-description">
                            <?= htmlspecialchars($cat['description']) ?>
                        </p>
                    </div>
                    <div class="cat-metadata">
                        <div class="cat-metadata-item">
                            <strong>Gender:</strong>
                            <span class="cat-gender">
                                <?= htmlspecialchars($cat['gender']) ?>
                            </span>
                        </div>
                        <div class="cat-metadata-item">
                            <strong>Color:</strong>
                            <span class="cat-color">
                                <?= htmlspecialchars($cat['color']) ?>
                            </span>
                        </div>
                        <div class="cat-metadata-item">
                            <strong>Location:</strong>
                            <span class="cat-location">
                                <?= htmlspecialchars($cat['location']) ?>
                            </span>
                        </div>
                        <div class="cat-metadata-item">
                            <strong>Spayed:</strong>
                            <span class="cat-spayed">
                                <?= htmlspecialchars($cat['spayed']) ?>
                            </span>
                        </div>
                        <div class="cat-metadata-item">
                            <strong>Added:</strong>
                            <span class="cat-added">
                                <?= htmlspecialchars($cat['cat_added']) ?>
                            </span>
                        </div>
                    </div>
                </div>
                <audio class="cat-audio" controls>
                    <source src="public/<?= htmlspecialchars($cat['sound_path']) ?>" type="audio/mp3">
                    <source src="public/<?= htmlspecialchars($cat['sound_path']) ?>" type="audio/mpeg">
                    <source src="public/<?= htmlspecialchars($cat['sound_path']) ?>" type="audio/ogg">
                    <source src="public/<?= htmlspecialchars($cat['sound_path']) ?>" type="audio/wav">
                    <source src="public/<?= htmlspecialchars($cat['sound_path']) ?>" type="audio/mp4">
                </audio>
                <?php if (isset($_SESSION['isAdmin']) && $_SESSION['isAdmin']): ?>
                    <!-- Edit and delete buttons for admin users -->
                    <button class="edit-button" onclick="editCat(<?= $cat['cat_id'] ?>)">Edit</button>
                <?php endif; ?>
            </div>
        <?php endforeach; ?>

    </div>

    <?php require_once(PROJECT_ROOT_PATH . '/public/components/Pagination.php'); ?>
    <?php if (isset($_SESSION['isAdmin']) && $_SESSION['isAdmin']): ?>
        <div>
            <div id="edit-cat-modal" class="modal">
                <div class="modal-content">
                    <span class="close" onclick="closeEditCatModal()">&times;</span>
                    <h2>Edit Cat</h2>
                    <form id="edit-cat-form" enctype="multipart/form-data" onsubmit="editCatForm(event)">
                        <input type="hidden" id="edit-cat-id" name="cat_id" class="form-control">
                        <div class="form-group">
                            <label for="name">Name:</label>
                            <input type="text" id="edit-name" name="name" class="form-control" required maxlength="50">
                        </div>

                        <div class="form-group">
                            <label for="description">Description:</label>
                            <textarea id="edit-description" name="description" class="form-control" required
                                maxlength="150"></textarea>
                        </div>

                        <div class="form-group">
                            <label for="location">Location:</label>
                            <input type="text" id="edit-location" name="location" class="form-control" required
                                maxlength="150">
                        </div>

                        <div class="form-group">
                            <label for="gender">Gender:</label>
                            <select id="edit-gender" name="gender" class="form-control" required>
                                <option value="Male">Male</option>
                                <option value="Female">Female</option>
                            </select>
                        </div>

                        <div class="form-group">
                            <label for="color">Color:</label>
                            <input type="text" id="edit-color" name="color" class="form-control" required>
                        </div>

                        <div class="form-group">
                            <label for="spayed">Spayed:</label>
                            <select id="edit-spayed" name="spayed" class="form-control" required>
                                <option value="Yes">Yes</option>
                                <option value="No">No</option>
                            </select>
                        </div>

                        <!-- File Upload for Sound -->
                        <div class="form-group">
                            <label for="sound_file">Sound File (MP3):</label>
                            <input type="file" id="edit-sound_file" name="sound_file" class="file-input" accept=".mp3">
                        </div>

                        <!-- File Upload for Image -->
                        <div class="form-group">
                            <label for="image_file">Image File (JPG, JPEG, PNG):</label>
                            <input type="file" id="edit-image_file" name="image_file" class="file-input"
                                accept=".jpg, .jpeg, .png">
                        </div>

                        <button type="submit" class="submit-button">Edit Cat</button>
                    </form>
                </div>
            </div>


        </div>
        <div>
            <!-- Add Cat Modal -->
            <div id="add-cat-modal" class="modal">
                <div class="modal-content">
                    <span class="close" onclick="closeAddCatModal()">&times;</span>
                    <h2>Add New Cat</h2>
                    <form id="add-cat-form" enctype="multipart/form-data" onsubmit="addCatSubmit(event)">
                        <div class="form-group">
                            <label for="name">Name:</label>
                            <input type="text" id="name" name="name" class="form-control" required maxlength="50">
                        </div>

                        <div class="form-group">
                            <label for="description">Description:</label>
                            <textarea id="description" name="description" class="form-control" required
                                maxlength="150"></textarea>
                        </div>

                        <div class="form-group">
                            <label for="location">Location:</label>
                            <input type="text" id="location" name="location" class="form-control" required maxlength="150">
                        </div>

                        <div class="form-group">
                            <label for="gender">Gender:</label>
                            <select id="gender" name="gender" class="form-control" required>
                                <option value="Male">Male</option>
                                <option value="Female">Female</option>
                            </select>
                        </div>

                        <div class="form-group">
                            <label for="color">Color:</label>
                            <input type="text" id="color" name="color" class="form-control" required>
                        </div>
                        <div class="form-group">
                            <label for="spayed">Spayed:</label>
                            <select id="spayed" name="spayed" class="form-control" required>
                                <option value="Yes">Yes</option>
                                <option value="No">No</option>
                            </select>
                        </div>

                        <!-- File Upload for Sound -->
                        <div class="form-group">
                            <label for="sound_file">Sound File (MP3):</label>
                            <input type="file" id="sound_file" name="sound_file" class="file-input" accept=".mp3" required>
                        </div>

                        <!-- File Upload for Image -->
                        <div class="form-group">
                            <label for="image_file">Image File (JPG, JPEG, PNG):</label>
                            <input type="file" id="image_file" name="image_file" class="file-input"
                                accept=".jpg, .jpeg, .png" required>
                        </div>

                        <button type="submit" class="submit-button">Add Cat</button>
                    </form>
                </div>
            </div>

            <!-- Add Cat Button -->
            <button id="add-cat-button" class="add-button" onclick="openAddCatModal()">+</button>
        </div>
    <?php endif; ?>
    <?php require_once(PROJECT_ROOT_PATH . '/public/components/Footer.php'); ?>
    <script src="public/js/cats.js"></script>
</body>

</html>