<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>List of Sightings</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" type="text/css" href="public/css/styles.css">
    <link rel="icon" href="/public/images/logo.jpeg" type="image/jpeg">
    <link rel="shortcut icon" href="/public/images/logo.jpeg" type="image/jpeg">
</head>

<body>
    <?php require_once(PROJECT_ROOT_PATH . '/public/components/Navbar.php'); ?>
    <div class="search-container">
        <form method="get" id="search-form" class="search-form">
            <div class="search-bar">
                <input type="text" name="search" class="search-input" placeholder="Search..." aria-label="search"
                    maxlength="50">
            </div>
            <div class="search-options">
                <div class="sort-bar">
                    <label for="order" class="sort-label">Sort by:</label>
                    <div class="sort-option">
                        <input type="checkbox" name="order[]" value="name" id="name-checkbox" class="sort-checkbox"
                            aria-label="name">
                        <label for="name-checkbox" class="sort-option-label">Name</label>
                    </div>
                    <div class="sort-option">
                        <input type="checkbox" name="order[]" value="date" id="date-checkbox" class="sort-checkbox"
                            aria-label="date">
                        <label for="date-checkbox" class="sort-option-label">Date</label>
                    </div>
                    <label for="isDesc" class="sort-label">Descending:</label>
                    <input type="checkbox" id="isDesc" name="isDesc" value="true" class="sort-checkbox"
                        aria-label="Descending">
                </div>
            </div>
            <input type="hidden" name="pageNo" value="<?= isset($_GET['pageNo']) ? intval($_GET['pageNo']) : 1 ?>">
            <input type="hidden" name="pageSize"
                value="<?= isset($_GET['pageSize']) ? intval($_GET['pageSize']) : 10 ?>">
        </form>
    </div>
    <div class="cat-cards-container">
        <?php foreach ($responseSightings as $sighting): ?>
            <div class="cat-card" id="sighting-card-<?= $sighting['sighting_id'] ?>">
                <?php if ((isset($_SESSION['user_id']) && $_SESSION['user_id'] == $sighting['user_id']) || ((isset($_SESSION['isAdmin']) && $_SESSION['isAdmin'] == 1))) {
                    echo ("<a class=\"delete-button\" href='sighting/" . $sighting['sighting_id'] . "'>X</a>");
                } ?>
                <div class="cat-image-container">
                    <img class="cat-image" onerror="this.src='public/images/placeholder.png'"
                        src="public/<?= htmlspecialchars($sighting['image_url']) ?>" alt="sighting image">
                </div>
                <div class="cat-details">
                    <div class="cat-info">
                        <h2 class="cat-title">
                            <?= htmlspecialchars($sighting['name']) ?>
                        </h2>
                        <p class="sighting-description">
                            <?= htmlspecialchars($sighting['sighting_description']) ?>
                        </p>
                    </div>
                    <div class="cat-metadata">
                        <div class="cat-metadata-item">
                            <strong>Sighted by:</strong>
                            <span class="sighting-username">
                                <?= htmlspecialchars($sighting['username']) ?>
                            </span>
                        </div>
                        <div class="cat-metadata-item">
                            <strong>Location:</strong>
                            <span class="sighting-location">
                                <?= htmlspecialchars($sighting['sighting_location']) ?>
                            </span>
                        </div>
                        <div class="cat-metadata-item">
                            <strong>Date:</strong>
                            <span class="sighting-date">
                                <?= htmlspecialchars($sighting['date']) ?>
                            </span>
                        </div>
                        <div class="cat-metadata-item">
                            <strong>Time:</strong>
                            <span class="sighting-time">
                                <?= htmlspecialchars($sighting['time']) ?>
                            </span>
                        </div>
                        <div class="sighting-cat-id" style="display: none;">
                            <?= htmlspecialchars($sighting['cat_id']) ?>
                        </div>

                    </div>
                </div>
                <?php if ((isset($_SESSION['user_id']) && $_SESSION['user_id'] === $sighting['user_id']) || ((isset($_SESSION['isAdmin']) && $_SESSION['isAdmin'] == 1))): ?>
                    <button class="edit-button" onclick="editSighting(<?= $sighting['sighting_id'] ?>)">Edit</button>
                <?php endif; ?>
            </div>
        <?php endforeach; ?>
    </div>

    <?php require_once(PROJECT_ROOT_PATH . '/public/components/Pagination.php'); ?>
    <?php if (isset($_SESSION['user_id'])): ?>
        <div>
            <div id="edit-sighting-modal" class="modal">
                <div class="modal-content">
                    <span class="close" onclick="closeEditSightingModal()">&times;</span>
                    <h2>Edit Sighting</h2>
                    <form id="edit-sighting-form" enctype="multipart/form-data" onsubmit="editForm(event)">
                        <input type="hidden" id="edit-sighting-id" name="sighting_id">
                        <div class="form-group">
                            <label for="edit-cat-name-select">Cat name:</label>
                            <select id="edit-cat-name-select" name="cat_id" class="form-control">
                                <?php foreach ($responseCats as $cat) {
                                    echo ('<option value="' . $cat['cat_id'] . '">' . $cat['name'] . '</option>');
                                } ?>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="edit-sighting-location">Location:</label>
                            <textarea id="edit-sighting-location" name="sighting_location" class="form-control" required
                                maxlength="150"></textarea>
                        </div>
                        <div class="form-group">
                            <label for="edit-date">Date:</label>
                            <input type="date" id="edit-date" name="date" class="form-control" aria-label="date" required>
                        </div>
                        <div class="form-group">
                            <label for="edit-time">Time:</label>
                            <input type="time" value="00:00:00" id="edit-time" name="time" class="form-control"
                                aria-label="time" required>
                        </div>
                        <div class="form-group">
                            <label for="edit-sighting-description">Description:</label>
                            <textarea id="edit-sighting-description" name="sighting_description" class="form-control"
                                aria-label="description" required maxlength="150"></textarea>
                        </div>
                        <div class="form-group">
                            <label for="edit-image_url">Image File (JPG, JPEG, PNG):</label>
                            <input type="file" id="edit-image_url" name="image_url" class="file-input"
                                accept=".jpg, .jpeg, .png" aria-label="image_url">
                        </div>
                        <button type="submit" class="submit-button">Edit Sighting</button>
                    </form>
                </div>
            </div>
        </div>
        <div>
            <!--            -->
            <?php //echo ("<p>aaaA</p>")?>
            <div id="add-sighting-modal" class="modal">
                <div class="modal-content">
                    <span class="close" onclick="closeAddSightingModal()">&times;</span>
                    <h2>Add New Sighting</h2>
                    <form id="add-sighting-form" enctype="multipart/form-data" onsubmit="addForm(event)">
                        <input type="hidden" id="edit-sighting-id" name="sighting_id" class="form-control">
                        <div class="form-group">
                            <label for="cat-name">Cat name:</label>
                            <select id="cat-name-select" name="cat_id" class="form-control">
                                <?php foreach ($responseCats as $cat) {
                                    echo ('<option value="' . $cat['cat_id'] . '">' . $cat['name'] . '</option>');
                                } ?>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="sighting_location">Location:</label>
                            <textarea id="sighting_location" name="sighting_location" class="form-control" required
                                maxlength="150"></textarea>
                        </div>
                        <div class="form-group">
                            <label for="date">Date:</label>
                            <input type="date" id="date" name="date" class="form-control" required>
                        </div>
                        <div class="form-group">
                            <label for="time">Time:</label>
                            <input type="time" value="00:00:00" id="time" name="time" class="form-control" required>
                        </div>
                        <div class="form-group">
                            <label for="sighting_description">Description:</label>
                            <textarea id="sighting_description" name="sighting_description" class="form-control" required
                                maxlength="150"></textarea>
                        </div>
                        <div class="form-group">
                            <label for="image_url">Image File (JPG, JPEG, PNG):</label>
                            <input type="file" id="image_url" name="image_url" class="file-input" accept=".jpg, .jpeg, .png"
                                required>
                        </div>
                        <button type="submit" class="submit-button">Add Cat</button>
                    </form>
                </div>
            </div>
            <button id="add-sighting-button" class="add-button" onclick="openAddSightingModal()">+</button>
        </div>
    <?php endif; ?>
    <?php require_once(PROJECT_ROOT_PATH . '/public/components/Footer.php'); ?>
    <script src="public/js/sighting.js"></script>
</body>

</html>