<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>List of Users</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" type="text/css" href="public/css/styles.css">
    <link rel="icon" href="/public/images/logo.jpeg" type="image/jpeg">
    <link rel="shortcut icon" href="/public/images/logo.jpeg" type="image/jpeg">
</head>

<body>
    <?php require_once(PROJECT_ROOT_PATH . '/public/components/Navbar.php'); ?>
    <div class="user-cards-container">
        <?php foreach ($responseUsers as $user): ?>
            <div class="cat-card" id="user-card-<?= $user['user_id'] ?>">
                <a class="delete-button" href="/user/<?= htmlspecialchars($user['user_id']) ?>">X</a>
                <h2 class="user-title">
                    <?= htmlspecialchars($user['nama']) ?>
                </h2>
                <strong>Email:</strong>
                <p class="user-email">
                    <?= htmlspecialchars($user['email']) ?>
                </p>
                <strong>Username:</strong>
                <p class="user-username">
                    <?= htmlspecialchars($user['username']) ?>
                </p>
                <strong>isAdmin:</strong>
                <p class="user-isadmin">
                    <?= htmlspecialchars($user['isAdmin']) ?>
                </p>
                <b><button class="edit-button" onclick="editUser(<?= $user['user_id'] ?>)">Edit</button></b>
            </div>
        <?php endforeach; ?>
    </div>
    <?php require_once(PROJECT_ROOT_PATH . '/public/components/Pagination.php'); ?>
    <div>
        <div id="edit-user-modal" class="modal">
            <div class="modal-content">
                <span class="close" onclick="closeEditUserModal()">&times;</span>
                <h2>Edit User</h2>
                <form id="edit-user-form" enctype="multipart/form-data" onsubmit="editForm(event)">
                    <input type="hidden" id="edit-user-id" name="user_id" class="form-control">
                    <div class="form-group">
                        <label for="nama">Nama:</label>
                        <input type="text" id="edit-nama" name="nama" class="form-control" required maxlength="50">
                    </div>

                    <div class="form-group">
                        <label for="email">Email:</label>
                        <input type="email" id="edit-email" name="email" class="form-control" readonly>
                    </div>

                    <div class="form-group">
                        <label for="username">Username:</label>
                        <input type="text" id="edit-username" name="username" class="form-control" required
                            maxlength="50">
                    </div>

                    <div class="form-group">
                        <label for="isAdmin">isAdmin:</label>
                        <select id="edit-isadmin" name="isAdmin" class="form-control">
                            <option value="1">Yes</option>
                            <option value="0">No</option>
                        </select>
                    </div>

                    <button type="submit" class="submit-button">Edit User</button>
                </form>
            </div>
        </div>
    </div>
    <script src="public/js/users.js"></script>
    <?php require_once(PROJECT_ROOT_PATH . '/public/components/Footer.php'); ?>
</body>

</html>