<?php

abstract class BaseController {
  protected static $instance;
  protected $srv;

  protected function __construct($srv) {
    $this->srv = $srv;
  }

  public static function getInstance() {
    if (!isset(self::$instance)) {
      self::$instance = new static(null);
    }
    return self::$instance;
  }

  protected function get($urlParams) {
    throw new Exception("Method not allowed");  
  }
  protected function post($urlParams) {
    throw new Exception("Method not allowed");  
  }
  protected function put($urlParams) {
    throw new Exception("Method not allowed");  
  }
  protected function delete($urlParams) {
    throw new Exception("Method not allowed");
  }

  public function handle($method, $urlParams) {
    $lowMethod = strtolower($method);
    if (!method_exists($this, $lowMethod)) {
        throw new Exception("Method not allowed");
    }
    echo $this->$lowMethod($urlParams);
  }
}
