<?php

require_once PROJECT_ROOT_PATH . "/src/bases/BaseController.php";
require_once PROJECT_ROOT_PATH . "/src/services/UserSrv.php";

class RegisterController extends BaseController
{
  protected static $instance;

  private function __construct($srv)
  {
    parent::__construct($srv);
  }

  public static function getInstance()
  {
    if (!isset(self::$instance)) {
      self::$instance = new static(
        UserSrv::getInstance()
      );
    }
    return self::$instance;
  }

  public function  get($urParams){
      if (isset($_SESSION['user_id'])){
          header("Location: /");
      }
      $phpFile = PROJECT_ROOT_PATH . "/public/view/register.php";

      if (file_exists($phpFile)){
          require $phpFile;
          exit();
      } else{
          require PROJECT_ROOT_PATH . "/public/view/404.php";
      }
  }

  public function post($urlParams)
  {
    $name = $_POST["name"];
    $username = $_POST['username'];
    $email = $_POST['email'];
    $password = $_POST['password'];
    $confirm_password = $_POST['confirm-password'];

    $user = $this->srv->register($name, $username, $email, $password, $confirm_password);
    $response = new BaseResponse(true, $user->toResponse(), "successfully inserted", 200);

    return $response->toJSON();
  }
}
