<?php

class DBConnection {
  private static $instance;
  private $pdo;

  private function __construct($_CONFIG)
  {
    $DB_HOST = $_CONFIG['HOST'];
    $DB_USERNAME = $_CONFIG['MYSQL_USER'];
    $DB_PASSWORD = $_CONFIG['MYSQL_PASSWORD'];
    $DB_NAME = $_CONFIG['MYSQL_DATABASE'];

    try {
      $this->pdo = new PDO("mysql:host=$DB_HOST;dbname=$DB_NAME", $DB_USERNAME, $DB_PASSWORD);
      $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    } catch (PDOException $e) {
        error_log("ERROR: Could not connect to the database. " . $e->getMessage());
      die("ERROR: Could not connect. " . $e . " >>>");
    }
  }

  public static function getInstance()
  {
    if (!isset(self::$instance)) {
        $config = require PROJECT_ROOT_PATH . '/config.php';
        self::$instance = new DBConnection($config["database"]);
    }
    return self::$instance;
  }

  public function __destruct() {
    $this->pdo = null;
  }

  public function getPDO()
  {
    return $this->pdo;
  }
}
