<?php

require_once PROJECT_ROOT_PATH . "/src/bases/BaseRepository.php";

class CatRepository extends BaseRepository
{
    protected static $instance;
    protected $tableName = 'cats';

    private function __construct()
    {
        parent::__construct();
    }

    public static function getInstance()
    {
        if (!isset(self::$instance)) {
            self::$instance = new static();
        }
        return self::$instance;
    }

    public function createCat($catData)
    {
        return $this->insert($catData, array(
        'name' => PDO::PARAM_STR,
        'description' => PDO::PARAM_STR,
        'location' => PDO::PARAM_STR,
        'gender' => PDO::PARAM_STR,
        'color' => PDO::PARAM_STR,
        'spayed' => PDO::PARAM_STR,	
        'sound_path' => PDO::PARAM_STR,
        'image_path' => PDO::PARAM_STR,
        ));
    }

    public function getCatById($catId)
    {
        return $this->selectOne("*", ["cat_id = $catId"]);
    }

    public function updateCat($catId, $catData)
    {
        return $this->update("cat_id", $catId, $catData, array(
        'name' => PDO::PARAM_STR,
        'description' => PDO::PARAM_STR,
        'location' => PDO::PARAM_STR,
        'gender' => PDO::PARAM_STR,
        'color' => PDO::PARAM_STR,
        'spayed' => PDO::PARAM_STR,	
        'sound_path' => PDO::PARAM_STR,
        'image_path' => PDO::PARAM_STR,
        ));
    }

    public function deleteCat($catId)
    {
        return $this->delete("cat_id", $catId);
    }
}
