<?php

require_once PROJECT_ROOT_PATH . "/src/bases/BaseRepository.php";

class UserRepository extends BaseRepository
{
  protected static $instance;
  protected $tableName = 'users';

  protected function __construct()
  {
    parent::__construct();
  }

  public function getUserById($userId)
  {
    return $this->selectOne("*", ["user_id = $userId"]);
  }

  public function updateUser($userId, $userData)
  {
    return $this->update(
      "user_id",
      $userId,
      $userData,
      array(
        'nama' => PDO::PARAM_STR,
        'username' => PDO::PARAM_STR,
        'isAdmin' => PDO::PARAM_STR,
      )
    );
  }

  public static function getInstance()
  {
    if (!isset(self::$instance)) {
      self::$instance = new static();
    }
    return self::$instance;
  }

  public function getById($user_id)
  {
    return $this->selectOne('*', ["USER_ID = '$user_id'"]);
  }
  public function getByEmail($email)
  {
    return $this->selectOne('*', ["email = '$email'"]);
  }
  public function getByUsername($username)
  {
    return $this->selectOne('*', ["username = '$username'"]);
  }
  public function getByPassword($password)
  {
    return $this->selectOne('*', ["password = '$password'"]);
  }
}