<?php


class Admin 
{
    public function handle()
    { 
        $isAdmin = isset($_SESSION['isAdmin']) && isset($_SESSION['user_id']) && $_SESSION['isAdmin'] == 1;
        if (!$isAdmin) {
          throw new Exception("You must be admin to access this page");
        }
        return true;
    }
}
class Authenticated
{
    public function handle()
    {
        if (!isset($_SESSION['user_id'])) {
            throw new Exception("You must login first");
        }
        return true;
    }
}
class Middleware
{
    public const MAP = [
        'admin' => Admin::class,
        'auth' => Authenticated::class
    ];

    public static function resolve($key)
    {
        if (!$key) {
            return;
        }

        $middleware = static::MAP[$key] ?? false;

        if (!$middleware) {
            throw new \Exception("No matching middleware found for key '{$key}'.");
        }

        (new $middleware)->handle();
    }
}