<?php

require_once PROJECT_ROOT_PATH . "/src/bases/BaseController.php";
require_once PROJECT_ROOT_PATH . "/src/utils/Middleware.php";
class Router
{

  private $pathAndHandler;

  public function route($path, $handler, $middlewares)
  {
    $this->pathAndHandler[$path] = [$handler, $middlewares];
  }

  public function run($path, $method)
  {
    try {
      $pathWithoutQuery = explode('?', $path)[0];
      $this->routing($pathWithoutQuery, $method);
    } catch (Exception $e) {
      header("HTTP/1.0 404 Not Found");
      if ($method == "GET") {
        require_once PROJECT_ROOT_PATH . "/public/view/404.php";
      } else {
        echo (
          new BaseResponse(
          false,
          null,
            $e->getMessage(),
          404
          )
        )->toJSON();
      }
    }
  }

  private function routing($path, $method)
  {
    foreach ($this->pathAndHandler as $key => $value) {
      $match = $this->isMatch($path, $key);
      if ($match[0]) {
        $middlewares = $value[1];

        if (array_key_exists($method, $middlewares)) {
          $value_auth = $middlewares[$method]; // Get the value associated with the method
          Middleware::resolve($value_auth);
        }
        echo $value[0]->handle($method, $match[1]);
        exit();
      }
    }
    throw new Exception("Not Found");
  }

  public function isMatch($path, $keyHandler)
  {
    $regexPattern = str_replace(['/', '*'], ['\/', '([^\/]+)'], $keyHandler);

    $regexPattern = "/^" . $regexPattern . "$/";

    if (preg_match($regexPattern, $path, $matches)) {
      array_shift($matches);
      return [true, $matches];
    }

    return [false, []];
  }

}